org.apache.ignite.ml.inference.storage.descriptor

## Interface ModelDescriptorStorage

- All Superinterfaces:
    Iterable<IgniteBiTuple<String,ModelDescriptor>>
  All Known Implementing Classes:
    IgniteModelDescriptorStorage, LocalModelDescriptorStorage

      public interface ModelDescriptorStorage
      extends Iterable<IgniteBiTuple<String,ModelDescriptor>>

  Storage that allows to load, keep and get access to model descriptors (see `ModelDescriptor`).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelDescriptor` | `get(String mdlId)` Returns model descriptor saved for the specified model identifier.
    `Iterator<IgniteBiTuple<String,ModelDescriptor>>` | `iterator()` Returns iterator of model descriptors stored in this model descriptor storage.
    `void` | `put(String mdlId, ModelDescriptor mdl)` Saves the specified model descriptor with the specified model identifier.
    `boolean` | `putIfAbsent(String mdlId, ModelDescriptor mdl)` Saves the specified model descriptor with the specified model identifier if it's not saved yet.
    `void` | `remove(String mdlId)` Removes model descriptor for the specified model descriptor.

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### put

          void put(String mdlId,
                   ModelDescriptor mdl)

      Saves the specified model descriptor with the specified model identifier.
      Parameters:
        `mdlId` - Model identifier.
        `mdl` - Model descriptor.

    - #### putIfAbsent

          boolean putIfAbsent(String mdlId,
                              ModelDescriptor mdl)

      Saves the specified model descriptor with the specified model identifier if it's not saved yet.
      Parameters:
        `mdlId` - Model identifier.
        `mdl` - Model descriptor.
      Returns:
        `true` if model descriptor has been successfully saved, otherwise `false`.

    - #### get

          ModelDescriptor get(String mdlId)

      Returns model descriptor saved for the specified model identifier.
      Parameters:
        `mdlId` - Model identifier.
      Returns:
        Model descriptor.

    - #### remove

          void remove(String mdlId)

      Removes model descriptor for the specified model descriptor.
      Parameters:
        `mdlId` - Model identifier.

    - #### iterator

          Iterator<IgniteBiTuple<String,ModelDescriptor>> iterator()

      Returns iterator of model descriptors stored in this model descriptor storage. The objects produces by the iterator are pairs of model identifier and model descriptor.
      Specified by:
        `iterator` in interface `Iterable<IgniteBiTuple<String,ModelDescriptor>>`
      Returns:
        Iterator of pairs of model identifier and model descriptor.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023